Update Alarm Instances States

Update Alarm Instances States
Update the state of alarm instances by IDs

Update the states of a list of alarm instances by IDs

Request
URI
POST
https://{api_host}/ssp/alarms/states
COPY
Query Parameters
string
updated_state
Required

The new state to set for one or more alarm instances. This parameter accepts one of two values:

  • ACKNOWLEDGE - Mark the alarm as acknowledged, indicating it has been seen
  • SUPPRESS - Temporarily silence the alarm for a specified duration
updated_state example
ACKNOWLEDGE
Enumeration: ACKNOWLEDGE, SUPPRESS
integer
suppress_duration
Optional
Constraints: maximum: 12 default: 1

The duration, in hours, for which the alarm instance should be suppressed when its state is being updated to SUPPRESSED. If not specified, defaults to 1 hour. The maximum allowed suppression duration is 12 hours.


Request Body
UpdateAlarmInstancesRequest of type(s) application/json
Required

Show optional properties

{
    "instances": [
        {}
    ]
}
{
    "instances": [
        "550e8400-e29b-41d4-a716-446655440000"
    ]
}
array of string
instances
Required

List of alarm instance IDs whose states should be updated. Each ID must correspond to an existing alarm instance in the system.

Authentication
This operation uses the following authentication methods.
Responses
204

The state of all specified alarm instances has been successfully updated. The new state has been applied to each alarm instance in the request, and any associated metadata (like suppression duration) has been recorded.

Operation doesn't return any data structure

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"instances":["string"]}' https://{api_host}/ssp/alarms/states